Package org.eclipse.jgit.transport

## Interface PostReceiveHook

All Known Implementing Classes:
  `PostReceiveHookChain`

    public interface PostReceiveHook

Hook invoked by `ReceivePack` after all updates are executed.

The hook is called after all commands have been processed. Only commands with a status of `ReceiveCommand.Result.OK` are passed into the hook. To get all commands within the hook, see `BaseReceivePack.getAllCommands()`.

Any post-receive hook implementation should not update the status of a command, as the command has already completed or failed, and the status has already been returned to the client.

Hooks should execute quickly, as they block the server and the client from completing the connection.

### Field Summary

Fields
`static PostReceiveHook` `NULL` A simple no-op hook.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onPostReceive​(ReceivePack rp, Collection<ReceiveCommand> commands)` Invoked after all commands are executed and status has been returned.

### Field Detail

#### NULL

    static final PostReceiveHook NULL

A simple no-op hook.

### Method Detail

#### onPostReceive

    void onPostReceive​(ReceivePack rp,
                       Collection<ReceiveCommand> commands)

Invoked after all commands are executed and status has been returned.

Parameters:
  `rp` - the process handling the current receive. Hooks may obtain details about the destination repository through this handle.
  `commands` - unmodifiable set of successfully completed commands. May be the empty set.